Welcome!
Important information
-- Spectre and Meltdown vulnerabilities
-- Change in MX sources

News
-- MX Linux on social media: here
-- Mepis support still here

Current releases
-- MX-17.1 Final release info here
-- antiX-17 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

can't successfully update my distro in add packages

Help for Current Versions of Mepis
Post Reply
Message
Author
linuxiam
Forum Novice
Forum  Novice
Posts: 1
Joined: Thu Jul 07, 2016 8:56 am

can't successfully update my distro in add packages

#1 Post by linuxiam » Thu Jul 07, 2016 9:20 am

Hi guys, i have just started to use mepis few days ago and all was fine till i decided to add the Terminator terminal. That's when i realized i couldn't actually install any package in mepis. when i apt-get update, i get this kind of output:

Code: Select all

Ign http://ftp.debian.org squeeze-updates Release.gpg                                                                                     
Ign http://ftp.debian.org squeeze-updates Release                                                                                         
Hit http://security.debian.org squeeze/updates Release.gpg
Ign http://ftp.debian.org squeeze-updates/main i386 Packages
Hit http://security.debian.org squeeze/updates Release
Ign http://ftp.debian.org squeeze-updates/main i386 Packages              
Err http://ftp.debian.org squeeze-updates/main i386 Packages
  404  Not Found
Hit http://security.debian.org squeeze/updates/main i386 Packages
Get:1 ftp://ftp.mirrorservice.org mepis-11.0 Release.gpg
Hit http://security.debian.org squeeze/updates/contrib i386 Packages
Hit http://security.debian.org squeeze/updates/non-free i386 Packages
Ign ftp://ftp.mirrorservice.org mepis-11.0 Release.gpg    
Get:2 ftp://ftp.debian.org squeeze Release.gpg
Get:3 ftp://ftp.mirrorservice.org mepis-11.0 Release
Ign ftp://ftp.debian.org squeeze Release.gpg
Ign ftp://ftp.mirrorservice.org mepis-11.0 Release
Get:4 ftp://ftp.debian.org squeeze Release
Get:5 ftp://ftp.mirrorservice.org mepis-11.0/main i386 Packages
Ign ftp://ftp.debian.org squeeze Release
Ign ftp://ftp.mirrorservice.org mepis-11.0/main i386 Packages
Get:6 ftp://ftp.debian.org squeeze/main i386 Packages
Get:7 ftp://ftp.mirrorservice.org mepis-11.0/main i386 Packages
Ign ftp://ftp.debian.org squeeze/main i386 Packages
Ign ftp://ftp.mirrorservice.org mepis-11.0/main i386 Packages
Get:8 ftp://ftp.debian.org squeeze/contrib i386 Packages
Get:9 ftp://ftp.mirrorservice.org mepis-11.0/main i386 Packages
Ign ftp://ftp.debian.org squeeze/contrib i386 Packages
Err ftp://ftp.mirrorservice.org mepis-11.0/main i386 Packages
  Unable to fetch file, server said 'Failed to open file.  '
Get:10 ftp://ftp.debian.org squeeze/non-free i386 Packages
Ign ftp://ftp.debian.org squeeze/non-free i386 Packages
Get:11 ftp://ftp.debian.org squeeze/main i386 Packages
Ign ftp://ftp.debian.org squeeze/main i386 Packages
Get:12 ftp://ftp.debian.org squeeze/contrib i386 Packages
Ign ftp://ftp.debian.org squeeze/contrib i386 Packages
Get:13 ftp://ftp.debian.org squeeze/non-free i386 Packages
Ign ftp://ftp.debian.org squeeze/non-free i386 Packages
Get:14 ftp://ftp.debian.org squeeze/main i386 Packages
Err ftp://ftp.debian.org squeeze/main i386 Packages
kindly assist me in this.

Thanks to everyone involved.

User avatar
asqwerth
Forum Veteran
Forum Veteran
Posts: 3096
Joined: Sun May 27, 2007 5:37 am

Re: can't successfully update my distro in add packages

#2 Post by asqwerth » Thu Jul 07, 2016 9:51 am

You are on an old version of mepis that is still on Debian Squeeze. When did you install it and from what iso image?

Mepis has been superceded by the community-created distros MX. If you only just installed the REALLY OLD iso image for Mepis 11, you should replace it with MX.

MX14 is on Debian Wheezy and MX15 is on Debian Jessie.
Desktop: Intel i5-4460, 16GB RAM, Intel integrated graphics
Clevo N130WU-based Ultrabook: Intel i7-8550U (Kaby Lake R), 16GB RAM, Intel integrated graphics (UEFI)
ASUS X42D laptop: AMD Phenom II, 6GB RAM, Mobility Radeon HD 5400

User avatar
GuiGuy
Forum Guide
Forum Guide
Posts: 1404
Joined: Sun Dec 16, 2007 6:29 pm

Re: can't successfully update my distro in add packages

#3 Post by GuiGuy » Thu Jul 07, 2016 11:05 am

asqwerth wrote:You are on an old version of mepis that is still on Debian Squeeze. When did you install it and from what iso image?

Mepis has been superceded by the community-created distros MX. If you only just installed the REALLY OLD iso image for Mepis 11, you should replace it with MX.

MX14 is on Debian Wheezy and MX15 is on Debian Jessie.
If you really want to stay with M11, you should change your sources.list as explained here :-
http://www.mepis.org/docs/en/index.php? ... t_MEPIS_11

User avatar
asqwerth
Forum Veteran
Forum Veteran
Posts: 3096
Joined: Sun May 27, 2007 5:37 am

Re: can't successfully update my distro in add packages

#4 Post by asqwerth » Thu Jul 07, 2016 12:45 pm

Terminator for Squeeze will be a 6-year-old package:

https://launchpad.net/debian/+source/terminator

Looks like it's still supported, but if the OP wants the new features....
Desktop: Intel i5-4460, 16GB RAM, Intel integrated graphics
Clevo N130WU-based Ultrabook: Intel i7-8550U (Kaby Lake R), 16GB RAM, Intel integrated graphics (UEFI)
ASUS X42D laptop: AMD Phenom II, 6GB RAM, Mobility Radeon HD 5400

jmyersWVa
Forum Regular
Forum Regular
Posts: 114
Joined: Mon Mar 07, 2011 12:35 pm

Re: can't successfully update my distro in add packages

#5 Post by jmyersWVa » Thu Jul 07, 2016 5:23 pm

asqwerth wrote:Terminator for Squeeze will be a 6-year-old package:

https://launchpad.net/debian/+source/terminator

Looks like it's still supported, but if the OP wants the new features....
According to to the Sources,shouldn't they be like the March 9,2016 update ?

http://www.mepis.org/docs/en/index.php? ... t_MEPIS_11

Might not help,but some are depreciated.

User avatar
lucky9
Forum Veteran
Forum Veteran
Posts: 11380
Joined: Wed Jul 12, 2006 5:54 am

Re: can't successfully update my distro in add packages

#6 Post by lucky9 » Thu Jul 07, 2016 10:30 pm

Welcome to the forum linuxiam! :welcome:

Changing the repositories is necessary if you want to continue using Mepis 11.
Yes, even I am dishonest. Not in many ways, but in some. Forty-one, I think it is.
--Mark Twain

Post Reply

Return to “Mepis Help”